1

I am using Linux Mint 18.2 Cinnamon. I am trying to install uBlock Origin addons in Firefox, but:

enter image description here

I have a latest version of Firefox:

enter image description here

Why is this happening? Please help me with this issue. Thanks.

3
  • Which other addons do you have installed? Does your Firefox send a different version in its User-Agent string? You can check on ifconfig.me. – Wieland Nov 4 '17 at 9:45
  • Sorry for the late reply. I tried your advice, and the User-Agent string is: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:50.0) Gecko/20100101 Firefox/50.0. Why is it that it is version 50.0 not 56.0? – selarcrum Nov 6 '17 at 0:42
  • I already installed Privacy Badger (this is from EFF.org). The error occurred when I am trying to install the following: uBlock Origin, Cookie AutoDelete, and Decentraleyes, and probably other addons from Mozilla. – selarcrum Nov 6 '17 at 0:57
1

I guess I found the solution: I renamed the prefs.js under the default profile in ~/.mozilla/firefox/yourdefaultprofile/ to something prefs.jsOLD while Firefox is closed. Then I re-opened Firefox, checked the User-Agent string using the website provided by @Wieland. The result now is: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0.

1
  • Had the same issue on Windows. The file location for prefs.json was in C:\Users\*\AppData\Roaming\Mozilla\Firefox\Profiles\*.default-*. Be warned that renaming the prefs.js will reset all your Firefox preferences to default. – DuCorey Nov 13 '17 at 22:11
0

Maybe you have fingerprinting disabled in Firefox Config.

Type in the addressbar about:config and then search for privacy.resistFingerprinting if its true, Firefox sends the wrong info.

Switch it to falseand it will working again.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.